Bug 484184 - Direct rendering disabled for ATI Radeon X800 (and glxgears crashing with nomodeset)
Direct rendering disabled for ATI Radeon X800 (and glxgears crashing with nom...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
rawhide
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-05 04:35 EST by Joachim Frieben
Modified: 2009-04-01 12:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-01 12:39:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log for rawhide and ATI Technologies Inc Radeon X800 SE (R430) (50.57 KB, text/plain)
2009-02-05 04:43 EST, Joachim Frieben
no flags Details
Xorg.0.log as before w/nomodeset (51.01 KB, text/plain)
2009-02-05 13:53 EST, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2009-02-05 04:35:16 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Joachim Frieben 2009-02-05 04:43:58 EST
Created attachment 330977 [details]
Xorg.0.log for rawhide and ATI Technologies Inc Radeon X800 SE (R430)

Description of problem:
After booting a live CD spun from "rawhide" as of 2009-02-04, direct rendering is disabled on an x86_64 system equipped with an "ATI Technologies Inc Radeon X800 SE (R430) (PCIE)" video card. According to Xorg.0.log,

  "[drm] Could not create vertex/indirect buffers list" .

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.10.0-2.fc11.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Boot from "rawhide" live CD.
2. Browse Xorg.0.log.

Actual results:
"(WW) RADEON(0): Direct rendering disabled".

Expected results:
"(WW) RADEON(0): Direct rendering enabled".

Additional info:
- On current F10 w/updates as of 2009-02-04, direct rendering is enabled
  and working correctly.
- Installed packages include
  * kernel-2.6.29-0.78.rc3.git5.fc11.x86_64
  * libdrm-2.4.4-2.fc11.x86_64
  * mesa-*-7.3-0.4.fc11.x86_64
  * xorg-x11-drv-ati-6.10.0-2.fc11.x86_64
Comment 2 Matěj Cepl 2009-02-05 09:16:36 EST
Does nomodeset on the kernel command line help?
Comment 3 Joachim Frieben 2009-02-05 13:53:55 EST
Created attachment 331044 [details]
Xorg.0.log as before w/nomodeset

Adding "nomodeset" to the kernel boot options allows to enable direct rendering. The downside is that now glxgears crashes upon execution:

  [liveuser@localhost ~]$ glxgears 
  (r300_render.c:r300EmitAOS:252) offset : 984
  (r300_render.c:r300EmitAOS:252) offset : 984
  (r300_render.c:r300EmitAOS:252) offset : 504
  (r300_render.c:r300EmitAOS:252) offset : 504
  (r300_render.c:r300EmitAOS:252) offset : 504
  (r300_render.c:r300EmitAOS:252) offset : 504
  (r300_render.c:r300EmitAOS:252) offset : 984
  (r300_render.c:r300EmitAOS:252) offset : 984
  (r300_render.c:r300EmitAOS:252) offset : 504
  (r300_render.c:r300EmitAOS:252) offset : 504
  (r300_render.c:r300EmitAOS:252) offset : 504
  (r300_render.c:r300EmitAOS:252) offset : 504
  Segmentation fault

Note You need to log in before you can comment on or make changes to this bug.